Bug 1444486 - Policy Simulation results tree nodes are not properly escaped
Summary: Policy Simulation results tree nodes are not properly escaped
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.3
Assignee: Dávid Halász
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
Depends On: 1444329
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 12:35 UTC by Satoe Imaishi
Modified: 2017-06-28 15:00 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1444329
Environment:
Last Closed: 2017-06-28 15:00:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of the bug in 5.7.1.3 (98.48 KB, image/png)
2017-06-09 09:33 UTC, Dmitry Misharov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 Dmitry Misharov 2017-06-09 09:33:42 UTC
Created attachment 1286363 [details]
Screenshot of the bug in 5.7.1.3

html is still not properly escaped in the tree nodes.

Comment 4 Dmitry Misharov 2017-06-12 12:28:23 UTC
Verified in 5.7.3.1.20170608124102_4b35a9e. New BZ created for https://bugzilla.redhat.com/show_bug.cgi?id=1444486#c2 in https://bugzilla.redhat.com/show_bug.cgi?id=1460696.

Comment 6 errata-xmlrpc 2017-06-28 15:00:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.